Bug 213602 - Avoid kudzu to re-generate ifcfg-eth0 in FC6 ?
Avoid kudzu to re-generate ifcfg-eth0 in FC6 ?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-02 03:23 EST by Steven Shiau
Modified: 2014-03-16 23:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:40:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Shiau 2006-11-02 03:23:17 EST
Description of problem:
If I replace a network card, the kudzu will re-generate the
/etc/sysconfig/network-scripts/ifcfg-eth0, like:
----------------------
# Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+
DEVICE=eth0
ONBOOT=yes
BOOTPROTO=dhcp
HWADDR=00:30:1b:xx:xx:xx
----------------------
My original config file is:
----------------------
DEVICE=eth0
BOOTPROTO=static
ONBOOT=no
IPADDR=192.168.100.3
NETMASK=255.255.255.0
----------------------
How can I disable that, i.e., I do not want to let kudzu automatically
generate the ifcfg-eth0 for me,  while still let kudzu to detect all the
hardware ?
Is that possible to do that by some options passed to kudzu ?


Version-Release number of selected component (if applicable):
kudzu-1.2.57.1-2

How reproducible:
Always.

Steps to Reproduce:
1. Replace a different NIC card
2. Boot the machine
3. /etc/sysconfig/network-scripts/ifcfg-eth0 is re-generated, with DHCP and
onboot=yes.
  
Actual results:
/etc/sysconfig/network-scripts/ifcfg-eth0 is re-generated, with DHCP and onboot=yes.

Expected results:
Keep the original ifcfg-eth0 by some options passed to kudzu

Additional info:
Comment 1 Bill Nottingham 2006-11-02 11:43:05 EST
Not really, no.
Comment 2 Steven Shiau 2006-11-02 20:27:11 EST
Could that be a possibility in the futuer kudzu ? Since sometimes it's not
necessary to have a ifcfg-ethx with dhcp and onboot=yes.
Thanks.
Comment 3 Bill Nottingham 2006-11-02 23:42:48 EST
Well, you can turn off kudzu if you don't want it touching network files -  the
only things it changes these days are network configurations and X configurations.
Comment 4 Steven Shiau 2006-11-03 00:33:07 EST
Sure. However, if possible, please consider to add an option that won't let
kudzu to re-generate network configurations and X configurations. This is very
usefull when an existing config file is already customized.
Thanks.
Comment 5 Carl Roth 2006-11-21 12:57:39 EST
This kudzu behavior is actually quite annoying with wireless devices.  Kudzu
will overwrite the interface configuration, deleting any hand-entered encryption
keys.
Comment 6 Bill Nottingham 2006-11-21 13:00:12 EST
Try the updates-testing kudzu - it should be fixed to not randomly misfire and
reconfigure things.
Comment 7 Bug Zapper 2008-04-04 00:20:54 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 12:40:01 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.